> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/spark/sparkclaimrewards.md).

# SparkClaimRewards

### Description

Claims single reward type specified by reward for the list of assets. Rewards are received by to address.

### Action ID

`0x948d2ba7`

### SDK Action

```ts
const sparkClaimRewardsAction = new dfs.actions.spark.SparkClaimRewardsAction(
    assetsLength,
    amount,
    to,
    reward,
    assets
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param assetsLength Length of the assets array
    /// @param amount Amount of tokens to claim
    /// @param to Address to send the claimed tokens to
    /// @param reward Address of the reward token
    /// @param assets Array of asset addresses
    struct Params {
        uint8 assetsLength;
        uint256 amount;
        address to;
        address reward;
        address[] assets;
    }
```

### Return Value

```solidity
return bytes32(amountReceived);
```

### Events and Logs

```solidity
emit ActionEvent("SparkClaimRewards", logData);
logger.logActionDirectEvent("SparkClaimRewards", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/spark/sparkclaimrewards.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
